SplObjectStorage::unserialize
Iterators
SplObjectStorage
PHP Manual

# SplObjectStorage::valid

Returns if the current iterator entry is valid

### Description

public bool SplObjectStorage::valid ( void )

Returns if the current iterator entry is valid.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the iterator entry is valid, `FALSE` otherwise.

### Examples

Example #1 SplObjectStorage::valid example

`<?php
$s = new SplObjectStorage();
$o1 = new StdClass;
$o2 = new StdClass;
$s->attach($o1, "d1");
$s->attach($o2, "d2");
$s->rewind();
while($s->valid()) {
echo $s->key()."\n";
$s->next();
}
?>`

The above example will output something similar to:

    0
    1

### See Also

- SplObjectStorage::current
- SplObjectStorage::getInfo